PPA problem updating to Release of 0.18

Having trouble installing or compiling FreeCAD? Get help here.
jmaustpc
Posts: 9639
Joined: Tue Jul 26, 2011 6:28 am
Location: Australia

Re: PPA problem updating to Release of 0.18

Postby jmaustpc » Wed Apr 10, 2019 4:02 am

kkremitzki wrote:
Wed Apr 10, 2019 3:48 am
Yes, the relevant error messages flash by and there's no rewind or playback controls.
NormandC wrote:
Wed Apr 10, 2019 3:29 am
Pasting the terminal output in plain text here would be more useful than this animated GIF, which goes too fast for us to see.
Hi Guys, I have really had enough of these stupid animated GIFs, a situation made worse my people using them in inappropriate ways. We had someone using one to show their FreeCAD Help about data.

As Kurt said, at least in a browser, you can't pause them, can't control play back speed (which I suspect is different on different platforms as I have come across some in in stupid adds on some pages when viewing with Firefox on Kubuntu where they go so quickly that it can't intended).

But another "hate" is that the resolution is often so bad that you can't read the text in menus, a terminal etc.

It is possible to edit your config of your browser so that they never play, but then you only ever get to see the first frame.

We should start another topic about possibly disabling animated GIFs on our forums.
Renato Rebelo
Posts: 255
Joined: Mon May 19, 2014 1:14 pm
Location: Vouzela - Portugal

Re: PPA problem updating to Release of 0.18

Postby Renato Rebelo » Wed Apr 10, 2019 6:25 pm

kkremitzki wrote:
Wed Apr 10, 2019 3:48 am
Yes, the relevant error messages flash by and there's no rewind or playback controls.
I have the same problem but the truth is that there is no message, I can not even open the python console

OS: Ubuntu 18.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.1.
Build type: Release
Python version: 3.6.7
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Portuguese/Portugal (pt_PT)
my native language is not English, please excuse me any incorrectness, I apologize for any inconvenience caused, thank you
jmaustpc
Posts: 9639
Joined: Tue Jul 26, 2011 6:28 am
Location: Australia

Re: PPA problem updating to Release of 0.18

Postby jmaustpc » Wed Apr 10, 2019 9:38 pm

Renato Rebelo wrote:
Wed Apr 10, 2019 6:25 pm
kkremitzki wrote:
Wed Apr 10, 2019 3:48 am
Yes, the relevant error messages flash by and there's no rewind or playback controls.
I have the same problem but the truth is that there is no message, I can not even open the python console

OS: Ubuntu 18.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.1.
Build type: Release
Python version: 3.6.7
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Portuguese/Portugal (pt_PT)
Do you get any useful information when you start FreeCAD from the command line, in a terminal?
Renato Rebelo
Posts: 255
Joined: Mon May 19, 2014 1:14 pm
Location: Vouzela - Portugal

Re: PPA problem updating to Release of 0.18

Postby Renato Rebelo » Wed Apr 10, 2019 10:35 pm

no nothing at all

Code: Select all

renato@ubuntussd:~$ freecad
FreeCAD 0.18.1, Libs: 0.18.1R
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

renato@ubuntussd:~$ 
my native language is not English, please excuse me any incorrectness, I apologize for any inconvenience caused, thank you
User avatar
sgrogan
Posts: 5811
Joined: Wed Oct 22, 2014 5:02 pm

Re: PPA problem updating to Release of 0.18

Postby sgrogan » Wed Apr 10, 2019 10:53 pm

Renato Rebelo wrote:
Wed Apr 10, 2019 10:35 pm
no nothing at all
I think we have a dependency clash. Don't change anything just test.
@Renato Rebelo
What is the status of your QGIS installation? PPA?
What are the contents of your .FreeCAD directory, not just the .cfg files but also any add-on wb's? Also what FreeCAD PPA's do you have enabled?
Renato Rebelo
Posts: 255
Joined: Mon May 19, 2014 1:14 pm
Location: Vouzela - Portugal

Re: PPA problem updating to Release of 0.18

Postby Renato Rebelo » Wed Apr 10, 2019 11:44 pm

sgrogan wrote:
Wed Apr 10, 2019 10:53 pm
Renato Rebelo wrote:
Wed Apr 10, 2019 10:35 pm
no nothing at all
I think we have a dependency clash. Don't change anything just test.
@Renato Rebelo
What is the status of your QGIS installation? PPA?
What are the contents of your .FreeCAD directory, not just the .cfg files but also any add-on wb's? Also what FreeCAD PPA's do you have enabled?
qgis is installed (https://qgis.org/ubuntu bionic),
Currently this is the content but before installing it had erased everything ...
Sem título.png
Sem título.png (27.3 KiB) Viewed 388 times
these are the Freecad repositories ...
Captura de ecrã_2019-04-11_00-40-54.png
Captura de ecrã_2019-04-11_00-40-54.png (40.33 KiB) Viewed 388 times
my native language is not English, please excuse me any incorrectness, I apologize for any inconvenience caused, thank you
User avatar
sgrogan
Posts: 5811
Joined: Wed Oct 22, 2014 5:02 pm

Re: PPA problem updating to Release of 0.18

Postby sgrogan » Wed Apr 10, 2019 11:57 pm

Renato Rebelo wrote:
Wed Apr 10, 2019 11:44 pm
qgis is installed (https://qgis.org/ubuntu bionic),
Does qgis work?
looking here: https://packages.ubuntu.com/bionic/qgis it seems qgis wants qt4?
Again don't change anything just report.
Renato Rebelo
Posts: 255
Joined: Mon May 19, 2014 1:14 pm
Location: Vouzela - Portugal

Re: PPA problem updating to Release of 0.18

Postby Renato Rebelo » Thu Apr 11, 2019 12:01 am

sgrogan wrote:
Wed Apr 10, 2019 11:57 pm
Renato Rebelo wrote:
Wed Apr 10, 2019 11:44 pm
qgis is installed (https://qgis.org/ubuntu bionic),
Does qgis work?
looking here: https://packages.ubuntu.com/bionic/qgis it seems qgis wants qt4?
Again don't change anything just report.
Yes,
this version

Code: Select all

Versão do QGIS 3.6.1-Noosa
Revisão do código do QGIS 93e761d
Compilado com Qt 5.9.5
Em execução com Qt 5.9.5
Compilado com GDAL/OGR 2.2.3
Em execução com GDAL/OGR 2.2.3
Compilado com GEOS 3.6.2-CAPI-1.10.2
Em execução com GEOS 3.7.0-CAPI-1.11.0 673b9939
Versão de cliente PostgreSQL 10.6 (Ubuntu 10.6-0ubuntu0.18.04.1)
Versão SpatiaLite 4.3.0a
Versão QWT 6.1.3
Versão QScintilla2 2.10.2
Versão PROJ.4 493
my native language is not English, please excuse me any incorrectness, I apologize for any inconvenience caused, thank you
User avatar
sgrogan
Posts: 5811
Joined: Wed Oct 22, 2014 5:02 pm

Re: PPA problem updating to Release of 0.18

Postby sgrogan » Thu Apr 11, 2019 12:10 am

Renato Rebelo wrote:
Thu Apr 11, 2019 12:01 am
Yes,
this version
Would you mind to remove freecad. "sudo apt-get purge freecad". freecad-daily, free cad-legacy? And maybe FreeCAD community extras?
Also remove the FreeCAD PPA's, I know this is extreme, but I think there is a qgis/freecad dependency clash. If qgis is working good we can add FreeCAD piece by piece to see the conflict.
Renato Rebelo
Posts: 255
Joined: Mon May 19, 2014 1:14 pm
Location: Vouzela - Portugal

Re: PPA problem updating to Release of 0.18

Postby Renato Rebelo » Thu Apr 11, 2019 12:22 am

sgrogan wrote:
Thu Apr 11, 2019 12:10 am
Renato Rebelo wrote:
Thu Apr 11, 2019 12:01 am
Yes,
this version
Would you mind to remove freecad. "sudo apt-get purge freecad". freecad-daily, free cad-legacy? And maybe FreeCAD community extras?
Also remove the FreeCAD PPA's, I know this is extreme, but I think there is a qgis/freecad dependency clash. If qgis is working good we can add FreeCAD piece by piece to see the conflict.
I think everything is clean
Where do I start?
my native language is not English, please excuse me any incorrectness, I apologize for any inconvenience caused, thank you